EUCA-MODIFY-IMAGE-ATTRIBUTE(1)

NAME
euca-modify-image-attribute - Modify an attribute of an image

SYNOPSIS
euca-modify-image-attribute (--description DESC | -p CODE | -l)

[-a ENTITY] [-r ENTITY]
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] IMAGE

DESCRIPTION
Modify an attribute of an image

  positional arguments:

IMAGE
    image to modify

  optional arguments:

--description DESC
    change the image's description

-p CODE, --product-code CODE
    product code to add to the given instance-store image

-l, --launch-permission
    grant/revoke launch permissions with -a/-r

-a ENTITY, --add ENTITY
    account to grant launch permission, or "all" for all accounts

-r ENTITY, --remove ENTITY
    account to remove launch permission from, or "all" for all accounts

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit